For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/payvia‑info

patch

Update payvia info for a specific affiliate

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
loginidintegerRequired
payvia_type_idintegerRequired
minimum_payoutintegerRequired
payvia_infostringRequired
Responses
200

success

successbooleanOptionalExample: true
patch/api/affiliate/payvia-info
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'loginid' => '3',
		'payvia_type_id' => 1,
		'payvia_info' => json_encode(array ( 0 =>  array (  'payvia_field_id' => '1',  'value' => 'me', ), 1 =>  array (  'payvia_field_id' => '30',  'value' => 'test st', ), 2 =>  array (  'payvia_field_id' => '31',  'value' => '', ), 3 =>  array (  'payvia_field_id' => '32',  'value' => 'city', ), 4 =>  array (  'payvia_field_id' => '33',  'value' => 'state', ), 5 =>  array (  'payvia_field_id' => '34',  'value' => '11111', ), 6 =>  array (  'payvia_field_id' => '35',  'value' => 'United States', ),)),
		'minimum_payout' => 100
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'affiliate/payvia-info',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payvia information updated"
}

Last updated

Was this helpful?